- Home
- API Enriched
- Virtual
- data
- Metrics
Metrics
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/app_firewall/metrics';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","field_selector":["BOT_DETECTION"],"filter":"example","group_by":["NAMESPACE"],"is_trend_request":true,"namespace":"example","range":"example","start_time":"example","step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/app_firewall/metrics \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "field_selector": [ "BOT_DETECTION" ], "filter": "example", "group_by": [ "NAMESPACE" ], "is_trend_request": true, "namespace": "example", "range": "example", "start_time": "example", "step": "example" }'App Firewall metrics.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET the metrics for App Firewall.
object
End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Select fields to be returned in the response. One or more fields in {BOT_DETECTION, ATTACKED_REQUESTS, BLOCKED_REQUESTS, TOTAL_REQUESTS} can be specified.
Required: YES.
Filter is used to specify the list of matchers
syntax for filter := {[
Optional: If not specified, metric will be aggregated based on the group_by labels.
Aggregate data by zero or more labels.
Trend value computation requested by the user Optional: default is false.
Human-readable name for the resource
Range decides how far to go back in time to fetch values for each step. For example, if the range is 5m, then for step t1, query will be evaluated for t1-5m and for t2, query will be evaluated for t2-5m and so on. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days
Note: For non-timeseries query, i.e., for step=end_time-start_time, range should be set to end_time-start_time
Optional: If not specified, range is set to 5m.
Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days
Optional: If not specified, then step size is evaluated to <end_time - start_time>
Responses
Section titled “Responses”A successful response.
Metrics for DC Cluster Groups.
object
Data contains time-series metric data for App Firewall.
Metric data contains the metric type and the corresponding metric value.
object
List of metric data.
Metric Type Data contains key/value pair that uniquely identifies the group_by labels specified in the request.
object
Key contains the name/value pair. “name” is the label name defined in “MetricLabel”
object
List of metric values.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.
Example
{ "data": [ { "data": [ { "value": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ], "type": "BOT_DETECTION", "unit": "UNIT_MILLISECONDS" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example